MaskDescriptionImpl (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Class MaskDescriptionImpl

- java.lang.Object
- - org.apache.orc.impl.MaskDescriptionImpl

- All Implemented Interfaces:
    Comparable<MaskDescriptionImpl>, DataMaskDescription

      public class MaskDescriptionImpl
      extends Object
      implements DataMaskDescription, Comparable<MaskDescriptionImpl>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaskDescriptionImpl(int id, OrcProto.DataMask mask)`
    `MaskDescriptionImpl(String name, String... parameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addColumn(TypeDescription column)`
    `int` | `compareTo(@NotNull MaskDescriptionImpl other)`
    `DataMask` | `create(TypeDescription schema, DataMask.MaskOverrides overrides)`
    `boolean` | `equals(Object other)`
    `TypeDescription[]` | `getColumns()` Get the list of columns that use this mask.
    `int` | `getId()`
    `String` | `getName()` The name of the mask.
    `String[]` | `getParameters()` The parameters for the mask
    `int` | `hashCode()`
    `void` | `setId(int id)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MaskDescriptionImpl

          public MaskDescriptionImpl(String name,
                                     String... parameters)

    - #### MaskDescriptionImpl

          public MaskDescriptionImpl(int id,
                                     OrcProto.DataMask mask)

  - ### Method Detail

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### addColumn

          public void addColumn(TypeDescription column)

    - #### setId

          public void setId(int id)

    - #### getName

          public String getName()

      Description copied from interface: `DataMaskDescription`
      The name of the mask.
      Specified by:
        `getName` in interface `DataMaskDescription`
      Returns:
        the name

    - #### getParameters

          public String[] getParameters()

      Description copied from interface: `DataMaskDescription`
      The parameters for the mask
      Specified by:
        `getParameters` in interface `DataMaskDescription`
      Returns:
        the array of parameters

    - #### getColumns

          public TypeDescription[] getColumns()

      Description copied from interface: `DataMaskDescription`
      Get the list of columns that use this mask.
      Specified by:
        `getColumns` in interface `DataMaskDescription`
      Returns:
        the list of columns

    - #### getId

          public int getId()

    - #### create

          public DataMask create(TypeDescription schema,
                                 DataMask.MaskOverrides overrides)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(@NotNull
                               @NotNull MaskDescriptionImpl other)

      Specified by:
        `compareTo` in interface `Comparable<MaskDescriptionImpl>`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.